Get webhook settings for the authenticated company
GET /order/v1/webhook
GET
/order/v1/webhook
Returns event endpoints and status. The HMAC secret is never returned on GET — use rotate-secret to obtain a new secret.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”The resource was returned successfully
object
id
required
string
companyId
string
organizationId
string
status
string
createdAt
string
updatedAt
string
events
required
Array<object>
object
type
required
The type of webhook event
string
Example
PAYIN endpoint
required
The endpoint URL for the webhook event
string
Example
https://example.com/webhook status
required
The status of the webhook event
string
Example
ACTIVE createdAt
required
The date and time when the webhook event was created
string
Example
2022-01-01T00:00:00Z updatedAt
required
The date and time when the webhook event was last updated
string
Example
2022-01-01T00:00:00Zobject
error
string
Example
INVALID_REQUEST message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[ { "field": "field_name", "issue": "INVALID", "description": "Field is invalid" }]Unauthorized Request
object
error
string
Example
UNAUTHORIZED message
string
Example
Unauthorized Request details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
FORBIDDEN_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]Resource not found
object
error
string
Example
NOT_FOUND message
string
Example
Resource not found details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
INTERNAL_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]